Create a refund (bank transfer back to the customer) for an existing order.
plannedDatemust be in the future (the date the bank transfer should be initiated).- If the customer's bank details are not yet known, the refund starts in status
BANKDETAILS_MISSINGand Komfortkasse asks the customer to provide their IBAN. Once received, it transitions toNEWand is executed atplannedDate. externalReferenceis your own reference (e.g. RMA number) and must be unique per shop. Re-using a reference of an existing refund returns an error.
See also Refunds.
POST
/order/{orderNumber}/refund
curl \
--request POST 'https://ssl.komfortkasse.eu/api/v2/order/123456/refund' \
--header "X-Komfortkasse-API-Key: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"externalReference":"RMA-2024-001","amount":22.38,"currency":"EUR","plannedDate":"01-05-2018"}'
Request example
{
"externalReference": "RMA-2024-001",
"amount": 22.38,
"currency": "EUR",
"plannedDate": "01-05-2018"
}
Response examples (200)
{
"externalReference": "RMA-2024-001",
"amount": 22.38,
"currency": "EUR",
"plannedDate": "01-05-2018",
"id": "12345",
"referenceNumber": "KKBT00012345",
"status": "NEW"
}
Response examples (400)
{
"error": "Invalid request"
}
Response examples (401)
{
"error": "API Key missing"
}
Response examples (404)
{
"error": "Order not found"
}